Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protege.widget.AbstractWidget
                          edu.stanford.smi.protege.widget.AbstractSlotWidget
                              edu.stanford.smi.protegex.widget.scatterbox.ScatterboxWidget

All Implemented Interfaces:
  Plugin, Disposable, Selectable, SlotWidget, Widget, ImageObserver, MenuContainer, Serializable, Accessible

Direct Known Subclasses:
  DomainRangeObjectPairEntryScatterboxWidget, SingleObjectEntryScatterboxWidget

    public abstract class ScatterboxWidget

extends AbstractSlotWidget

Description of the Class

Author:
  William Grosso
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected int` | `_currentlyDraggingOverColumn`
`protected int` | `_currentlyDraggingOverRow`
`protected ClsListener` | `_domainClsListener`
`protected ArrayList` | `_entries`
`protected Order` | `_horizontalOrder`
`protected boolean` | `_isCurrentlyDragging`
`protected LabeledComponent` | `_mainComponent`
`protected ScatterboxTableModel` | `_model`
`protected KBQueryUtils` | `_queryUtilsObject`
`protected ArrayList` | `_selectionObservers`
`protected ScatterboxWidgetState` | `_state`
`protected ScatterboxTable` | `_table`
`protected Order` | `_verticalOrder`

Fields inherited from class edu.stanford.smi.protege.widget.AbstractSlotWidget
`READ_ONLY_WIDGET_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ScatterboxWidget()`

Method Summary
`void` | `addEntry(Instance newEntry)`
`void` | `addSelectionObserver(ScatterboxWidgetListener observer)`
`WidgetConfigurationPanel` | `createWidgetConfigurationPanel()`
`void` | `dispose()`
`int` | `getCurrentlyDraggingOverColumn()`
`int` | `getCurrentlyDraggingOverRow()`
`Collection` | `getDomainSlots()`
`Collection` | `getEntries()`
`Order` | `getHorizontalOrder()`
`KBQueryUtils` | `getKBQueryUtils()`
`LabeledComponent` | `getMainComponent()`
`protected abstract KBQueryUtils` | `getQueryUtilsObject()`
`Slot` | `getRangeSlot()`
`Instance` | `getSelectedEntry()`
`ScatterboxWidgetState` | `getState()`
`Collection` | `getValues()`
`Order` | `getVerticalOrder()`
`void` | `initialize()`
`boolean` | `isCurrentlyDragging()`
`boolean` | `isThereASelection()`
`void` | `removeEntry(Instance entryToRemove)`
`void` | `removeSelectionObserver(ScatterboxWidgetListener observer)`
`void` | `replaceEntry(Instance entryToRemove, Instance newEntry)`
`void` | `selectEntry(Instance instance)`
`void` | `selectionChanged()`
`void` | `setCurrentlyDraggingOverColumn(int currentlyDraggingOverColumn)`
`void` | `setCurrentlyDraggingOverRow(int currentlyDraggingOverRow)`
`void` | `setIsCurrentlyDragging(boolean isCurrentlyDragging)`
`void` | `setValues(Collection values)`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractSlotWidget
`addButtonConfiguration, addButtonConfiguration, allowsMultipleValues, areDirectValues, configure, displayButton, displayButton, getAssociatedCls, getButtonDescription, getCls, getClsWidget, getDefaultLabel, getDefaultToolTip, getDoubleClickAction, getFirstItem, getInstance, getInvalidValueText, getLabel, getMaximumCardinality, getMinimumCardinality, getPreferredSize, getSelectionBorderSize, getSlot, handleDoubleClick, isDirectValue, isReadOnlyConfiguredWidget, isSlotAtCls, loadValues, localizeStandardLabel, reshape, setAllowed, setAssociatedCls, setCls, setDefaultToolTip, setDoubleClickListener, setEditable, setInstance, setInstanceValues, setInvalidValueBorder, setNormalBorder, setPreferredColumns, setPreferredRows, setPreferredSize, setReadOnlyWidget, setSelectedBorder, setSelectedBorder, setShowInstanceListener, setSlot, setup, setWidgetValues, showInstance, updateBorder, valueChanged`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractWidget
`addSelectionListener, beginTransaction, beginTransaction, clearSelection, commitTransaction, endTransaction, equals, getDescriptor, getKnowledgeBase, getProject, getPropertyList, getSelection, getStringProperty, isDesignTime, isRuntime, notifySelectionListeners, paint, removeSelectionListener, rollbackTransaction, setLabel, setPropertyList, setup, show`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`getDescriptor, getKnowledgeBase, getProject, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Field Detail

### _state

    protected ScatterboxWidgetState _state

### _table

    protected ScatterboxTable _table

### _model

    protected ScatterboxTableModel _model

### _horizontalOrder

    protected Order _horizontalOrder

### _verticalOrder

    protected Order _verticalOrder

### _mainComponent

    protected LabeledComponent _mainComponent

### _selectionObservers

    protected ArrayList _selectionObservers

### _entries

    protected ArrayList _entries

### _isCurrentlyDragging

    protected boolean _isCurrentlyDragging

### _currentlyDraggingOverRow

    protected int _currentlyDraggingOverRow

### _currentlyDraggingOverColumn

    protected int _currentlyDraggingOverColumn

### _queryUtilsObject

    protected KBQueryUtils _queryUtilsObject

### _domainClsListener

    protected ClsListener _domainClsListener

Constructor Detail

### ScatterboxWidget

    public ScatterboxWidget()

Method Detail

### addEntry

    public void addEntry(Instance newEntry)

### addSelectionObserver

    public void addSelectionObserver(ScatterboxWidgetListener observer)

### createWidgetConfigurationPanel

    public WidgetConfigurationPanel createWidgetConfigurationPanel()

  Overrides:
    `createWidgetConfigurationPanel` in class `AbstractSlotWidget`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractSlotWidget`

### getCurrentlyDraggingOverColumn

    public int getCurrentlyDraggingOverColumn()

### getCurrentlyDraggingOverRow

    public int getCurrentlyDraggingOverRow()

### getDomainSlots

    public Collection getDomainSlots()

### getEntries

    public Collection getEntries()

### getHorizontalOrder

    public Order getHorizontalOrder()

### getKBQueryUtils

    public KBQueryUtils getKBQueryUtils()

### getMainComponent

    public LabeledComponent getMainComponent()

### getQueryUtilsObject

    protected abstract KBQueryUtils getQueryUtilsObject()

### getRangeSlot

    public Slot getRangeSlot()

### getSelectedEntry

    public Instance getSelectedEntry()

### getState

    public ScatterboxWidgetState getState()

### getValues

    public Collection getValues()

  Overrides:
    `getValues` in class `AbstractSlotWidget`

### getVerticalOrder

    public Order getVerticalOrder()

### initialize

    public void initialize()

### isCurrentlyDragging

    public boolean isCurrentlyDragging()

### isThereASelection

    public boolean isThereASelection()

### removeEntry

    public void removeEntry(Instance entryToRemove)

### removeSelectionObserver

    public void removeSelectionObserver(ScatterboxWidgetListener observer)

### replaceEntry

    public void replaceEntry(Instance entryToRemove,
                             Instance newEntry)

### selectEntry

    public void selectEntry(Instance instance)

### selectionChanged

    public void selectionChanged()

### setCurrentlyDraggingOverColumn

    public void setCurrentlyDraggingOverColumn(int currentlyDraggingOverColumn)

### setCurrentlyDraggingOverRow

    public void setCurrentlyDraggingOverRow(int currentlyDraggingOverRow)

### setIsCurrentlyDragging

    public void setIsCurrentlyDragging(boolean isCurrentlyDragging)

### setValues

    public void setValues(Collection values)

  Overrides:
    `setValues` in class `AbstractSlotWidget`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request